*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    --main-1: #6e3df5;
    --main-2: #8055f6;
    --triangle: url("data:image/svg+xml;utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='12' height='12'%3E%3Cg%3E%3Cpolygon points='12,18 0,6 24,6' fill='rgba(0,0,0,0)''/%3E%3C/g%3E%3C/svg%3E");
}

::selection {
    background-color: #dbcffc;
}

html {
    font-size: 12px;
}

body {
    margin: 0;
    font-family: "Montserrat", sans-serif;
    background: #fff;
}

/*---------- LAYOUT STYLES ----------*/
/*---------- MARGIN ----------*/
.mar-5 { margin-block: 5rem; }
.mar-4 { margin-block: 4rem; }
.mar-3 { margin-block: 3rem; }
.mar-2 { margin-block: 2rem; }	
.mar-1 { margin-block: 1rem; }
.mar-0 { margin-block: 0.5rem; }

.mb-4 { margin-bottom: 5rem; };
.mb-4 { margin-bottom: 4rem; };
.mb-3 { margin-bottom: 3rem; };
.mb-2 { margin-bottom: 2rem; };
.mb-1 { margin-bottom: 1rem; };
.mb-0 { margin-bottom: 0.5rem; };

/*---------- PADDING ----------*/
.pad-5 { padding: 5rem; }
.pad-4 { padding: 4rem; }
.pad-3 { padding: 3rem; }
.pad-2 { padding: 2rem; }	
.pad-1 { padding: 1rem; }
.pad-0 { padding: 0.5rem; }

/*---------- PADDING ----------*/
.gap-5 { gap: 5rem; }
.gap-4 { gap: 4rem; }
.gap-3 { gap: 3rem; }
.gap-2 { gap: 2rem; }	
.gap-1 { gap: 1rem; }
.gap-0 { gap: 0.5rem; }

/*---------- FLEX ----------*/
.flx { display: flex; }
.flx.cen-h { justify-content: center; }
.flx.cen-v { align-items: center; }
.flx.start { justify-content: flex-start; }
.flx.end { justify-content: flex-end; }
.flx.around { justify-content: space-around; }
.flx.between { justify-content: space-between; }
.flx-c { display: flex; flex-direction: column; }
.flx-c.cen-v { justify-content: center; }
.flx-c.cen-h { align-items: center; }
.flx-c.start { align-items: flex-start; }
.flx-c.end { align-items: flex-end; }
.flx-c.around { align-items: space-around; }
.flx-c.between { align-items: space-between; }
.cen-f { justify-content: center; align-items: center; }
.wrap { flex-wrap: wrap; }
.wrap-r { flex-wrap: wrap-reverse; }

/*---------- GRID ----------*/
.grd { display: grid; }

/*---------- TEXT STYLES ----------*/
/*---------- HEADINGS ----------*/
h1, h2, h3, h4, h5 { margin-block: 0; font-weight: 600; }

/*---------- PARAGRAPH ----------*/
p { font-size: 1.2rem; line-height: 1.5em; }

/*---------- FONT SIZE ----------*/
.fs-5 { font-size: 4rem; }
.fs-4 { font-size: 3rem; }
.fs-3 { font-size: 2.5rem; }
.fs-2 { font-size: 2rem; }
.fs-1 { font-size: 1.2rem; }
.fs-0 { font-size: 1rem; }

/*---------- FONT WEIGHT ----------*/
.fw-5 { font-weight: 700; }
.fw-4 { font-weight: 600; }
.fw-3 { font-weight: 600; }
.fw-2 { font-weight: 500; }
.fw-1 { font-weight: 400; }
.fw-0 { font-weight: 300; }

/*---------- FONT COLOR ----------*/
.fc-brand { color: var(); }
.fc-body { color: var(); }
.fc-low { color: var(); }
.fc-disabled { color: var(); }
.fc-link { color: var(); }

/*---------- TEXT-ALIGN ----------*/
.align-l { text-align: left; }
.align-c { text-align: center; }
.align-r { text-align: right; }

/*---------- BLOCKQUOTE ----------*/
.bq-gray {
    position: relative;
    margin: 0;
    margin-block: 2rem;
    padding: 6rem 4rem 4rem 4rem;
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.5em;
    /*background: #F8FAFB;*/
}

.bq-gray::before {
    content: "";
    position: absolute;
    margin: 1rem 0 0 4rem;
    top: 0;
    left: 0;
    width: 48px;
    height: 48px;
    font-family: serif;
    font-size: 4rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='48' height='48'%3E%3Cpath fill='none' d='M0 0h24v24H0z'/%3E%3Cpath d='M4.583 17.321C3.553 16.227 3 15 3 13.011c0-3.5 2.457-6.637 6.03-8.188l.893 1.378c-3.335 1.804-3.987 4.145-4.247 5.621.537-.278 1.24-.375 1.929-.311 1.804.167 3.226 1.648 3.226 3.489a3.5 3.5 0 0 1-3.5 3.5c-1.073 0-2.099-.49-2.748-1.179zm10 0C13.553 16.227 13 15 13 13.011c0-3.5 2.457-6.637 6.03-8.188l.893 1.378c-3.335 1.804-3.987 4.145-4.247 5.621.537-.278 1.24-.375 1.929-.311 1.804.167 3.226 1.648 3.226 3.489a3.5 3.5 0 0 1-3.5 3.5c-1.073 0-2.099-.49-2.748-1.179z' fill='rgba(254,163,11,1)'/%3E%3C/svg%3E");
}

/*---------- LINKS ----------*/
a { color: inherit; text-decoration: none; }

.link {
    color: black;
    font-weight: 600;
    box-shadow: inset 0 -0.2em 0 var(--main-3);
    transition: box-shadow 0.2s ease;
}

.link:hover, .link:focus {
    font-weight: 600;
    box-shadow: inset 0 -1.4em 0 var(--main-3);
}

/*---------- INPUT STYLES ----------*/
input {
    margin: 0;
    padding: 1rem 1rem;
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
    font-weight: 400;
    text-align: left;	
    border: solid 1px gray;
    border-radius: 0.25rem;
    background: inherit;
}

input:focus-visible {
    border: solid 1px #6e3df5;
    outline: solid 1px #6e3df5;
}

input.invalid {
    border: solid 1px #ff4d4d;
    outline: solid 1px #ff4d4d;
}

.input-row {
    display: flex;
    position: relative;
    width: 100%;
    gap: 1rem;
}

label {
    margin-block: 0;
    font-weight: 600;
}


/*---------- BUTTONS ----------*/
button {
    cursor: pointer;
    display: inline-block;
    margin: 0;
    padding: 0.75rem 1.5rem;
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
    font-weight: 600;
    text-align: center;	
    text-decoration: none;
    border: none;
    border-radius: 0.25rem;
    background: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.btn-fill {
    color: #ffffff;
    border: 1px solid var(--main-1);
    background-color: var(--main-1);
}

.btn-fill:hover, .btn-fill:focus-visible {
    border: 1px solid var(--main-2);
    background-color: var(--main-2);		
}

.btn-outline {
    color: inherit;
    border: 1px solid #d4d7d8;
    background-color: none;
}

.btn-outline:hover, .btn-outline:focus-visible {
    border: 1px solid #d4d7d8;
    background-color: #f4f7f8;	
}

.btn-disabled {
    cursor: default;
    pointer-events: none;
    color: #d4d7d8;
    border: 1px solid #f4f7f8;
    background-color: #f4f7f8;		
}

/*---------- BORDER RADIUS ----------*/
.rnd-5 { border-radius: 2.5rem; }
.rnd-4 { border-radius: 2rem; }
.rnd-3 { border-radius: 1.5rem; }
.rnd-2 { border-radius: 1rem; }
.rnd-1 { border-radius: 0.5rem; }
.rnd-0 { border-radius: 0.25rem; }

/*---------- TRANSITIONS ----------*/
.ts-ease { transition: background 250ms ease, 
                        transform 250ms ease;
}

.white-txt {
    color: #ffffff;
}


/*---------- POP-UP STYLES ----------*/
#pop-up-container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
}

#page-overlay {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0,0,0,0.3);
}

#pop-up {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    width: 100%;
    max-width: 300px;
    min-height: 200px;
    height: auto;
    border-radius: 0.5rem;
    background-color: #ffffff;
    transform: translateY(0%);
    transition: 1s ease;
    opacity: 1;
    z-index: 10;
}

#pop-up div {
    width: 100%;
}

#pop-up .close {
    display: flex;
    justify-content: flex-end;
    padding: 1rem;
}

#pop-up .dialog {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    gap: 1.5rem;
    padding: 0rem 1.5rem;
    text-align: center;
}

#pop-up .dialog input {
    width: 100%;
}

#pop-up .options {
    display: flex;
    padding: 1.5rem;
}

#pop-up .options button {
    width: 100%;
}

.pop-up .options span:last-child {
    margin-right: 0px;
}


/*---------- ICON SECTION ----------*/
.icons {
    display: flex;
    flex-direction: row;
}

.icon-cont {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 6px;
    background-color: none;
}

.icon-cont {
    margin-right: 16px;
}

.icon-cont:last-child {
    margin-right: 0px;
}

.icon-cont:hover {
    cursor: pointer;
    background-color: #f1f2f3;
}

.feather {
    fill: none;
    /*--stroke: #0059b2;--*/
    stroke: #303132;
    stroke-width: 1px;	
}

.feather-thumbs-up, .feather-bookmark, .feather-sun, .feather-x {
    width: auto;
    height: 18px;
}




#content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    height: auto;
}

.container {
    width: auto;
    max-width: 600px;
    height: 500px;
}

#qr-section {
    width: 100%;
    max-width: 700px;
}

#qr-form {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    position: relative;
}

.invalid-message {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-size: 0.85rem;
    font-weight: 600;
    text-align: left;
    color: #ff1a1a;
    transform: translateY(calc(100% + 0.5rem));
}

#qr-container {
    position: relative;
    width: 300px;
    height: 300px;
}

#qr-container::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 206px;
    height: 206px;
    border: 2px dashed #e0e0e0;
    transform: translate(-50%,-50%);
    z-index: -1;
}

.transition {
    transition: 0.3s ease-in-out;
}

.slide-up-fade {
    transform: translateY(100%);
    opacity: 0;
    transition: 1s ease;
}